# Nginx config file hint(auto-completion) for VS Code

An **experimental** extension.   
And the hint data generated by [scripts][doc-script] from [nginx document web page][nginx-doc]   
You can submit a [bug report][issues], a [feature suggestion][issues]

## Installation

Launch Code's command palette (<kbd>Ctrl</kbd> + <kbd>P</kbd>) and type

    ext install vscode-nginx-conf-hint

## Screenshots

![screenshots](https://raw.githubusercontent.com/hangxingliu/vscode-nginx-conf-hint/master/images/screenshots.gif)

## Functions

1. hint nginx directives and embedded variables
2. hint directive default parameters
3. hint directives syntax 
4. nginx block snippets
5. "Goto Nginx Document" for each directives and variables

## Changelog

### 0.0.4 (2017-07-24)

1. update Nginx directives and variables to latest.
2. add access_log into block server snippet
3. modify snippet project structure

[CHANGELOG.md][changelog]

## Declaration

1. This extension depend extension [nginx.conf developed by shanoor][ext-nginx-conf] (**It will be install automatically by VS Code**)
2. Icon image of this extension is from extension [nginx.conf][icon-nginx] 
3. Open source license of this extension is [GPL-3.0](LICENSE)

## Contributing to the Extension

Welcome contributing:

- useful nginx.conf snippets reporting bug 
- improving pull request
- reporting bug

[Pull Request](pr) & [Issues](issues)

[CONTRIBUTING.md](CONTRIBUTING.md)

## Author

[LiuYue(hangxingliu)](https://github.com/hangxingliu)

[nginx-doc]: https://nginx.org/en/docs/
[doc-script]: https://github.com/hangxingliu/vscode-nginx-conf-hint/blob/master/utils/hint_data_getter.js
[ext-nginx-conf]: https://marketplace.visualstudio.com/items?itemName=shanoor.vscode-nginx
[icon-nginx]: https://github.com/shanoor/vscode-nginx/blob/master/nginx_logo.png
[issues]: https://github.com/hangxingliu/vscode-nginx-conf-hint/issues
[pr]: https://github.com/hangxingliu/vscode-nginx-conf-hint/pulls
[changelog]: https://github.com/hangxingliu/vscode-nginx-conf-hint/blob/master/CHANGELOG.md